Description

Don't know if i am the only one, or if it is a windows problem again, but i strongly believe the arguments are printed in the wrong order
in the stack trace.

for example there is:

4 F3_FLOW3::initializeResources("TestPackage")

but in the code below you see, that this call hasn't any arguments:

00123:   $this->initializeResources();

In the next place the argument "TestPackage" would fit better:

5
F3_FLOW3_Resource_Publisher::mirrorPublicPackageResources("C:/xampp/htdocs/FLOW3/Public/Resources/TestPackage/Pub
ublic/.")

but as you can see, it also has the wrong argument there, and so on and so on...

Additional to that it is very disturbing that the arguments are shortened. if the argument is the browser window, which should be
extended to wide, you at least could give the full argument as title parameter in the corresponding span.

History
#1 - 2008-05-09 23:12 - Karsten Dambekalns

I have also wondered about the argument to mirrorPublicPackageResources() in this issue report #491. I'll try to check if this is ageneral problem, i.e.
occurs on Mac as well.

#2 - 2008-05-10 16:20 - Karsten Dambekalns

I caused some exceptions and the arguments match their methods, so it seems this is a problem specific to your machine (or Windows!?). The funny
thing is, that the exception handler just iterates over the backtrace fetched from PHP as far as I see.
Could you try to check if a var_dump() of the trace fetched in the line
 $backtraceCode = $this->getBacktraceCode($exception->getTrace());
shows the correct arguments for the method calls?

#3 - 2008-05-11 01:31 - Tim Eilers
- File bug507_exception_getTrace_dump.txt added
- File bug507_getBacktraceCode_dump.txt added
- File bug507_screenshot.jpg added

Hi Karsten,

i provided a screenshot (to ensure that i am not crazy at all G) and to var_dumps, one of the getTrace output and one of the getBacktraceCode output.

i tweaked the output a bit to show me the full length of arguments. but the error of this bug also occurs with an untweaked version

#4 - 2008-05-11 13:33 - Tim Eilers

Hm, i watched at the dumps i added more deeply (i have to add that i accidently swapped the filenames) and saw that already the getTrace puts out
wrong data. so it's not flow3 related but php (perhaps only on windows) related.

perhaps this bug has to do with it, but i am unsure: http://bugs.php.net/bug.php?id=37224

#5 - 2008-05-14 12:10 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Priority changed from Should have to Must have

Now the question is whether we need to provide a workaround. For this we'd need to know if this happens only on your machine (meaning it's some
obscure bug just for your build of PHP) or if it's a general Windows issues, or ... So please provide more feedback - everyone.

#6 - 2008-07-16 17:20 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

In r1019 the length of output arguments was increased and the bug described originally seems to be bogus / gone.

Files
bug507_exception_getTrace_dump.txt 5.4 kB 2008-05-11 Tim Eilers
bug507_getBacktraceCode_dump.txt 3 kB 2008-05-11 Tim Eilers
bug507_screenshot.jpg 302.8 kB 2008-05-11 Tim Eilers
